ITR Verification
The ITR-V API allows users to securely retrieve Income Tax Return Verification details, confirming successful filing and providing essential taxpayer information.
ITR Verification
POST https://secctrl.tutelar.io/api/v1/services/business_profile/itr_verification
Sample Request Body
Body
Type
Mandatory
Description
user_name
string
Yes
Username of the itr portal. Typically it the pan of the user
password
string
Yes
Password of the portal
range
number
Yes
The number of years for which data is being requested
Sample Post Parameters
{
"user_name": "ABCDE1234F",
"password": "Test@123",
"range": 1
}{
"success": true,
"code": 200,
"message": "The request has been successfully completed.",
"reference_id": "372b45f0-23d1-434b-b708-33510e4e4d6c",
"status": "completed",
"result": {
"message": "1 year ITR V available in the last 1 years",
"itr_result": [
{
"pan_number": "AAXPD****C",
"filing_year": "2024-2025",
"acknowledgement_number": "219853550300625",
"filing_type": "Original",
"assessment_pdf": "http://3.xxx.xxx.182:8000/image-pub/kyc/TUTWEBK00341/itrAssesmentDocuments/itr_assesment_file_1771942044796-1771942044811.pdf"
}
]
},
"requested_at": "2026-02-24T14:07:13.087Z",
"completed_at": "2026-02-24T14:07:25.911Z"
}Check Document Status
Get document details
GET https://secctrl.tutelar.io/api/v1/services/business_profile/itr_verification
Query parameters description is given below,
Query Parameter
Type
Is Mandatory
Description
reference_id
String
Yes
Document reference id
Last updated